Bug 290510 - Muon (still) fails to install some deb packages
Summary: Muon (still) fails to install some deb packages
Status: RESOLVED FIXED
Alias: None
Product: muon
Classification: Unclassified
Component: muon (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jonathan Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-03 16:46 UTC by Nikola Schnelle
Modified: 2012-01-20 23:33 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Schnelle 2012-01-03 16:46:02 UTC
Version:           unspecified (using KDE 4.7.4) 
OS:                Linux

Kubuntu 11.10 KDE 4.7.4
Muon 1.2.80

Muon still fails to install some deb packages. For example, H20 icon theme deb from kde-look: http://www.mediafire.com/?j75fn7bk32w7p1m

Dpkg from konsole or gdebi-kde install this deb without problem.

Reproducible: Always

Steps to Reproduce:
Download h20 icon theme deb from here: http://www.mediafire.com/?j75fn7bk32w7p1m

Then try to install it.

Actual Results:  
Muon fails to install it.

Expected Results:  
Muon installing deb package.

Muon also fails to install kernel debs from http://kernel.ubuntu.com/~kernel-ppa/mainline/
Comment 1 Rog131 2012-01-19 19:05:05 UTC
Kubuntu 12.04 alpha-1
KDE Development Platform: 4.7.97 (4.8 RC2 (4.7.97)
Muon Package Manager: 1.2.80 "Daring Dalek"
QApt Package Installer: 1.3

The H2O icon theme can be installed if the debian package is renamed: 
The original name is "H2O 4.6.2.deb". If the package is renamed to H2O_4.6.2.deb then the installation is successful.

Downloading a kernel package from the http://kernel.ubuntu.com/~kernel-ppa/mainline/, linux-image-3.2.1-030201-generic_3.2.1-030201.201201121644_i386.deb. When trying to install it, the QApt installer option "Install Package" is grayed out. http://imageshack.us/photo/my-images/714/grayedout.png/.
Comment 2 Jonathan Thomas 2012-01-20 23:32:39 UTC
Git commit 28b7460fb24bf5c072ac0a04b5d873b0eb18cec3 by Jonathan Thomas.
Committed on 21/01/2012 at 00:31.
Pushed by jmthomas into branch 'master'.

Properly quote filenames given to dpkg, or else filenames containing spaces will be
improperly truncated, causing dpkg to fail.

M  +2    -2    src/worker/worker.cpp

http://commits.kde.org/libqapt/28b7460fb24bf5c072ac0a04b5d873b0eb18cec3
Comment 3 Jonathan Thomas 2012-01-20 23:33:06 UTC
Git commit 2740d0279aa8736928f7cdbae274cbf76837b015 by Jonathan Thomas.
Committed on 21/01/2012 at 00:31.
Pushed by jmthomas into branch '1.2'.

Properly quote filenames given to dpkg, or else filenames containing spaces will be
improperly truncated, causing dpkg to fail.

M  +2    -2    src/worker/worker.cpp

http://commits.kde.org/libqapt/2740d0279aa8736928f7cdbae274cbf76837b015